Freeciv-3.3: cma_dialog Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
cma_dialog Struct Reference

`#include <cma_fe.h>`

## Data Fields

struct city * | pcity
GtkWidget * | shell
GtkWidget * | name_shell
GtkWidget * | preset_remove_shell
GtkWidget * | preset_list
GtkWidget * | result_label
GtkWidget * | add_preset_command
GtkWidget * | del_preset_command
GtkWidget * | active_command
GtkWidget * | minimal_surplus [O_LAST]
GtkWidget * | happy_button
GtkWidget * | growth_button
GtkWidget * | factor [O_LAST+1]
GtkTreeSelection * | selection
GtkListStore * | store
int | id
struct small_dialog * | dlg
struct advanced_dialog * | adv
struct cm_parameter | edited_cm_parm

## Detailed Description

Definition at line 31 of file cma_fe.h.

## Field Documentation

## ◆ active_command

GtkWidget * cma_dialog::active_command

Definition at line 40 of file cma_fe.h.

Referenced by create_cma_dialog(), and refresh_cma_dialog().

## ◆ add_preset_command

GtkWidget * cma_dialog::add_preset_command

Definition at line 38 of file cma_fe.h.

Referenced by create_cma_dialog().

## ◆ adv

struct advanced_dialog * cma_dialog::adv

Definition at line 58 of file cma_fe.c.

Referenced by cancel_sld_cma_callback(), ld_cma_callback(), ok_save_cma_callback(), popdown_city_cma_dialog(), popup_city_cma_dialog(), popup_load_del_presets_dialog(), and save_cma_callback().

## ◆ del_preset_command

GtkWidget * cma_dialog::del_preset_command

Definition at line 39 of file cma_fe.h.

Referenced by create_cma_dialog().

## ◆ dlg

struct small_dialog * cma_dialog::dlg

Definition at line 57 of file cma_fe.c.

Referenced by popdown_city_cma_dialog(), popup_city_cma_dialog(), set_cma_hscrollbars(), and update_city_cma_dialog().

## ◆ edited_cm_parm

struct cm_parameter cma_dialog::edited_cm_parm

Definition at line 59 of file cma_fe.c.

Referenced by factor_horiz_cma_callback(), ld_cma_callback(), min_horiz_cma_callback(), ok_save_cma_callback(), popup_city_cma_dialog(), popup_load_del_presets_dialog(), run_cma_callback(), run_cma_once_callback(), toggle_cma_celebrating_callback(), and update_city_cma_dialog().

## ◆ factor

GtkWidget * cma_dialog::factor

Definition at line 44 of file cma_fe.h.

Referenced by create_cma_dialog(), hscale_changed(), and set_hscales().

## ◆ growth_button

GtkWidget * cma_dialog::growth_button

Definition at line 43 of file cma_fe.h.

Referenced by create_cma_dialog(), hscale_changed(), and set_hscales().

## ◆ happy_button

GtkWidget * cma_dialog::happy_button

Definition at line 42 of file cma_fe.h.

Referenced by create_cma_dialog(), hscale_changed(), and set_hscales().

## ◆ id

int cma_dialog::id

Definition at line 47 of file cma_fe.h.

Referenced by cma_preset_remove(), and cma_preset_remove_response().

## ◆ minimal_surplus

GtkWidget * cma_dialog::minimal_surplus

Definition at line 41 of file cma_fe.h.

Referenced by create_cma_dialog(), hscale_changed(), and set_hscales().

## ◆ name_shell

GtkWidget * cma_dialog::name_shell

Definition at line 34 of file cma_fe.h.

Referenced by cma_add_preset_callback(), and cma_preset_add_popup_callback().

## ◆ pcity

struct city * cma_dialog::pcity

Definition at line 32 of file cma_fe.h.

Referenced by button_press_callback(), button_press_callback(), cell_data_func(), close_cma_dialog(), cma_activate_preset_callback(), cma_active_callback(), cma_preset_add_popup_callback(), cma_preset_remove_response(), create_cma_dialog(), factor_horiz_cma_callback(), get_cma_dialog(), hscale_changed(), ld_cma_callback(), min_horiz_cma_callback(), popdown_city_cma_dialog(), popup_city_cma_dialog(), popup_load_del_presets_dialog(), refresh_cma_dialog(), run_cma_callback(), run_cma_once_callback(), stop_cma_callback(), switch_city_callback(), toggle_cma_celebrating_callback(), and update_city_cma_dialog().

## ◆ preset_list

GtkWidget * cma_dialog::preset_list

Definition at line 36 of file cma_fe.h.

Referenced by button_press_callback(), create_cma_dialog(), and refresh_cma_dialog().

## ◆ preset_remove_shell

GtkWidget * cma_dialog::preset_remove_shell

Definition at line 35 of file cma_fe.h.

Referenced by cma_preset_remove(), and cma_preset_remove_response().

## ◆ result_label

GtkWidget * cma_dialog::result_label

Definition at line 37 of file cma_fe.h.

Referenced by create_cma_dialog(), and refresh_cma_dialog().

## ◆ selection

GtkTreeSelection * cma_dialog::selection

Definition at line 45 of file cma_fe.h.

Referenced by cma_add_preset_callback(), cma_del_preset_callback(), cma_preset_key_pressed(), cma_preset_key_pressed_callback(), and create_cma_dialog().

## ◆ shell

GtkWidget * cma_dialog::shell

Definition at line 33 of file cma_fe.h.

Referenced by close_cma_dialog(), cma_add_preset_callback(), cma_preset_remove(), create_and_append_cma_page(), and create_cma_dialog().

## ◆ store

GtkListStore * cma_dialog::store

Definition at line 46 of file cma_fe.h.

Referenced by create_cma_dialog(), and update_cma_preset_list().